%define version 1.9.11
%define release 10mdk
%define debrelease 9
%define url ftp://ftp.debian.org/debian/dists/woody/main/source/base
%define fname ld.so

Summary: The Linux dynamic linker, library and utilities.
Name: ld.so1
Version: %{version}
Release: %{release}
License: GPL
Group: System/Base
Source: %{url}/%{fname}_%{version}-%{debrelease}.tar.bz2
Patch1: %{fname}-1.9.11-duringinstall.patch.bz2
Patch2: %{fname}-1.9.11.dont-warn-broken-so.patch.bz2
Patch3: %{fname}-1.9.11-cmpwithegcs.patch.bz2
Patch4: %{fname}-1.9.11-norun.patch.bz2
Patch5: %{fname}-1.9.11-zeropreload.patch.bz2
Patch6: %{fname}-1.9.11-ld.patch.bz2
BuildRequires: egcs egcs-cpp
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The dynamic linker provides the user-level support for loading and
linking DLL and ELF shared libraries.  It is required by any program
that uses shared libraries. This package provides the version %{version}
of the loader ld-linux.so.1 for backward compatibility of old libc.5
binary applications.

%prep
%setup -q -n %{fname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .run
%patch5 -p1 -b .preload
%patch6 -p1 -b .ld

%build
make ARCH=%{arch} CC=kgcc
%ifarch %{ix86}
make -C d-link CC=kgcc
%endif
(cd util; make ldd CC=kgcc)
perl -pi -e 's/ldd/ldd-libc5/' man/ldd.1

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m 644 man/ldd.1 %buildroot%_mandir/man1/ldd-libc5.1

PREFIX=%buildroot sh instldso.sh --force 
#rm -f %buildroot/lib/*libdl*
mv %buildroot%_bindir/ldd %buildroot%_bindir/ldd-libc5

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README debian/copyright
%_bindir/ldd-libc5
/lib/*
%{_mandir}/*/*

%changelog
* Fri Aug 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-10mdk
- rebuilt.

* Tue Mar 05 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-9mdk
- added -znocombreloc to linker (Gwenole).
- fixed man page.

* Mon Mar 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-8mdk
- force to use kgcc.
- rebuilt.

* Mon Mar 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-7mdk
- close fd in patch5.

* Mon Mar 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-6mdk
- added patch to deal with zero-length /etc/ld.so.preload.

* Sun Feb 09 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.11-5mdk
- rebuilt for backward compatibility.
- renamed to ld.so1.
- removed conflicting manpages.

* Thu Sep 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.11-4mdk
- Remove libdl.

* Wed Sep 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.11-3mdk
- Reincorpore ld-linux.so.1 among with others files.

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 1.9.11-2mdk
- dont-warn-broken-so.patch (otherwise you get an error when upgrade a split
package in name and name-devel, in %%postun of name, ldconfig is run, and the
.so symlink from name-devel is broken)

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.11-1mdk
- BM.
- Spec relifting.
- Move package to ld.so obsoletes ldconfig.

* Thu May 18 2000 Pixel <pixel@mandrakesoft.com> 1.9.5-19mdk
- exit(0) during install

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.5-18mdk
- Adjust groups.

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 1.9.5-17mdk
- remove dep basesystem

* Wed Nov 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merge with redhat patchs.
- add patch to remove duplicate libraries from the cache (Jakub
  Jelinek)(r)
- added patch to make ldconfig -h look pretty(r).

* Wed Apr 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Adaption to Mandrake.

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- add patch from UP
- fix stupid bug that refused to update no-existent symlinks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to version %{reldate}

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- add README.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- prereq basesystem instead

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- prereq setup and filesystem

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- patched to remove broken symlinks

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- updated the formerly Alpha only version to the latest from 
  HJ Lu.  It should now be used on all platforms.
- added BuildRoot support
- added this changelog ;-)
